# SyncConnection

> Start a sync for one connection. Admin access, integrations toolset, MCP tool sync_connection. Part of the MISSIN public API: call it with an API key, or from…

**Access:** [Admin](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `input` | `SyncConnectionInput!` | yes | Input object, below |  |

## Input types

### SyncConnectionInput

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `connectionId` | `UUID!` | yes |  |  |
| `resources` | `[String!]` | no |  | One or more of ORDERS, DISCOUNTS, CUSTOMERS, POSTS. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"SyncConnection","variables":{"input":{"connectionId":"00000000-0000-0000-0000-000000000000"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"8ade517119a7718f480715589d158b33e16ff32a255a3deafa069397ee9d623a"}}}'
```

## Document

```graphql
mutation SyncConnection($input: SyncConnectionInput!) { __typename syncConnection(input: $input) { __typename runIds userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/integrations/sync-connection
